searchNodes=[{"doc":"A simple implementation of the JSON-RPC . JSON-RPC is a remote procedure call protocol encoded in JSON. It is similar to the XML-RPC protocol, defining only a few data types and commands. JSON-RPC allows for notifications (data sent to the server that does not require a response) and for multiple calls to be sent to the server which may be answered asynchronously. Getting started Add :phx_json_rpc to your dependencies { :phx_json_rpc , &quot;~&gt; 0.4.0&quot; } Usage with phoenix Prepare your service specification, written as JSON SCHEMA The bunch of examples can be found here . Usually it should be stored as a dependency or just a file in your repo (for ex myapp/priv/static/openrpc.json ). Configure rpc router, specifying json schema version and batch size params defmodule MyApp.Rpc.Router do use PhxJsonRpc.Router , otp_app : :rpc_router , schema : &quot;[PATH_TO_YOUR_SCHEMA]&quot; , version : &quot;2.0&quot; , max_batch_size : 20 alias MyAppRpc.PetController ## Middleware group (optional) # Uncomment the line below, when neccessary (see `PhxJsonRpc.Router.Middleware` for usage) # middleware([AuthMiddleware]) ## Pet&#39;s service rpc ( &quot;pet.create&quot; , PetController , :create , &quot;#/components/schemas/Pet&quot; ) rpc ( &quot;pet.list&quot; , PetController , :list , &quot;#/components/schemas/Pets&quot; ) rpc ( &quot;pet.update&quot; , PetController , :update , &quot;#/components/schemas/Pet&quot; ) rpc ( &quot;pet.delete&quot; , PetController , :delete , &quot;#/components/schemas/PetId&quot; ) end Specify service module defmodule MyAppRpc.PetController do @moduledoc &quot;My Pet Service&quot; def create ( %{ &quot;name&quot; =&gt; name } ) do &quot;Created&quot; end def list ( _params ) do [ &quot;Cat&quot; , &quot;Dog&quot; ] end def update ( params ) do &quot;Update your pet here&quot; end def delete ( %{ &quot;id&quot; =&gt; id } ) do &quot;Pet removed from the store&quot; end end Create controller for handling requests via http defmodule MyAppWeb.RpcController do use MyAppWeb , :controller alias MyApp.Rpc.Router def rpc ( conn , request ) do # Handles rpc requests # The second parameter is optional and used to share current context response = Router . handle ( request , conn ) render ( conn , &quot;response.json&quot; , response ) end end Import helpers inside your view and define render function defmodule MyAppWeb.RpcView do use MyAppWeb , :view import PhxJsonRpc.Views.Helpers def render ( &quot;response.json&quot; , %{ response : response } ) do render_json ( response ) end end Optionally, you can import PhxJsonRpc.Views.Helpers inside the view_helpers quote block in your web.ex like so: defp view_helpers do quote do ... import PhxJsonRpcWeb.Views.Helpers end end Add endpoint path to your phoenix router under the api scope scope &quot;/api&quot; , MyAppWeb do pipe_through :api post ( &quot;/rpc&quot; , RpcController , :rpc ) end Start phoenix server and make an http request curl - X POST - H &#39;Content-Type:application/json&#39; - d &#39;{&quot;jsonrpc&quot;:&quot;2.0&quot;,&quot;id&quot;:&quot;[ID]&quot;,&quot;method&quot;:&quot;pet.create&quot;,&quot;params&quot;:{&quot;name&quot;:&quot;Kitty&quot;}}&#39; http :// localhost : 4000 / api / rpc Request and response using postman:","ref":"PhxJsonRpc.html","title":"PhxJsonRpc","type":"module"},{"doc":"Basic struct for the rpc request.","ref":"PhxJsonRpc.Request.html","title":"PhxJsonRpc.Request","type":"module"},{"doc":"Creates the new rpc request from the given params. Examples iex&gt; PhxJsonRpc.Request . new ( version : &quot;2.0&quot; , method : &quot;hello&quot; , params : %{ &quot;name&quot; =&gt; &quot;John&quot; } , id : &quot;[REQUEST-UUID]&quot; ) % PhxJsonRpc.Request { version : &quot;2.0&quot; , method : &quot;hello&quot; , params : %{ &quot;name&quot; =&gt; &quot;John&quot; } , id : &quot;[REQUEST-UUID]&quot; , valid? : nil , error : nil }","ref":"PhxJsonRpc.Request.html#new/1","title":"PhxJsonRpc.Request.new/1","type":"function"},{"doc":"Type represents structure for the rpc request.","ref":"PhxJsonRpc.Request.html#t:t/0","title":"PhxJsonRpc.Request.t/0","type":"type"},{"doc":"Basic struct for the rpc response","ref":"PhxJsonRpc.Response.html","title":"PhxJsonRpc.Response","type":"module"},{"doc":"Creates an empty rpc response. Examples iex&gt; PhxJsonRpc.Response . empty ( ) % PhxJsonRpc.Response { version : nil , data : nil , id : nil , valid? : false , error : nil }","ref":"PhxJsonRpc.Response.html#empty/1","title":"PhxJsonRpc.Response.empty/1","type":"function"},{"doc":"Creates the new rpc response from the given params. Examples iex&gt; PhxJsonRpc.Response . new ( version : &quot;2.0&quot; , data : &quot;hello&quot; , id : &quot;[REQUEST-UUID]&quot; , valid? : true ) % PhxJsonRpc.Response { version : &quot;2.0&quot; , data : &quot;hello&quot; , id : &quot;[REQUEST-UUID]&quot; , valid? : true , error : nil }","ref":"PhxJsonRpc.Response.html#new/1","title":"PhxJsonRpc.Response.new/1","type":"function"},{"doc":"Type represents structure for the rpc response.","ref":"PhxJsonRpc.Response.html#t:t/0","title":"PhxJsonRpc.Response.t/0","type":"type"},{"doc":"MetaData struct for the paths, defined in rpc router. Contains information about called controllers, actions and schema references for the given rpc method.","ref":"PhxJsonRpc.Router.MetaData.html","title":"PhxJsonRpc.Router.MetaData","type":"module"},{"doc":"Creates the new metadata from the given params. Examples iex&gt; PhxJsonRpc.Router.MetaData . new ( controller : RpcController , action : :hello , schema_ref : &quot;#/components/schema/hello&quot; ) % PhxJsonRpc.Router.MetaData { controller : RpcController , action : :hello , schema_ref : &quot;#/components/schema/hello&quot; }","ref":"PhxJsonRpc.Router.MetaData.html#new/1","title":"PhxJsonRpc.Router.MetaData.new/1","type":"function"},{"doc":"Type represents structure for the rpc metadata.","ref":"PhxJsonRpc.Router.MetaData.html#t:t/0","title":"PhxJsonRpc.Router.MetaData.t/0","type":"type"},{"doc":"Type definitions for the rpc requests, responses and errors.","ref":"PhxJsonRpc.Types.html","title":"PhxJsonRpc.Types","type":"module"},{"doc":"Parses parameters, applying them to the given struct, falling back to defaults for the rest.","ref":"PhxJsonRpc.Types.html#parse_params/2","title":"PhxJsonRpc.Types.parse_params/2","type":"function"},{"doc":"Type represents jsonrpc version number.","ref":"PhxJsonRpc.Types.html#t:jsonrpc_version/0","title":"PhxJsonRpc.Types.jsonrpc_version/0","type":"type"},{"doc":"Type represents possible rpc errors.","ref":"PhxJsonRpc.Types.html#t:rpc_error/0","title":"PhxJsonRpc.Types.rpc_error/0","type":"type"},{"doc":"Type represents rpc request ID. Whether it's nil, string or number.","ref":"PhxJsonRpc.Types.html#t:rpc_request_id/0","title":"PhxJsonRpc.Types.rpc_request_id/0","type":"type"},{"doc":"Type represents called rpc request method in the form of string.","ref":"PhxJsonRpc.Types.html#t:rpc_request_method/0","title":"PhxJsonRpc.Types.rpc_request_method/0","type":"type"},{"doc":"Type represents rpc request parameters. In terms of elixir, it's a list or a map.","ref":"PhxJsonRpc.Types.html#t:rpc_request_params/0","title":"PhxJsonRpc.Types.rpc_request_params/0","type":"type"},{"doc":"Type represents rpc response.","ref":"PhxJsonRpc.Types.html#t:rpc_response/0","title":"PhxJsonRpc.Types.rpc_response/0","type":"type"},{"doc":"The entrypoint for defining rpc routes. Config otp_app - name of the OTP application. schema - specifies path to your json-schema file. version - jsonrpc version. max_batch_size - maximum number of requests per batch. Example defmodule MyRpcRouter do use PhxJsonRpc.Router , otp_app : :rpc_router , schema : &quot;[PATH_TO_OPENRPC_SCHEMA]&quot; , version : &quot;2.0&quot; , max_batch_size : 20 rpc ( &quot;greet&quot; , HelloController , :hello ) end OTP customization (optional) You can override pipeline for handling requests, by adding extra-params in config file. All the options should implement specific behaviour. If option is not present in the config, it will be setted to the package defaults. parser - should implement PhxJsonRpc.Router.Parser validator - should implement PhxJsonRpc.Router.Validator dispatcher - should implement PhxJsonRpc.Router.Dispatcher Example config :rpc_router , MyRpcRouter , parser : MyRpc.Parser , validator : MyRpc.Validator , dispatcher : MyRpc.Dispatcher","ref":"PhxJsonRpc.Router.html","title":"PhxJsonRpc.Router","type":"module"},{"doc":"Keeps user-defined middleware. Arguments middleware_group - enumeration of the list of middleware modules. Examples middleware ( MyMiddlewareOne , MyMiddlewareTwo )","ref":"PhxJsonRpc.Router.html#middleware/1","title":"PhxJsonRpc.Router.middleware/1","type":"macro"},{"doc":"Generates rpc route match based on the open-rpc schema parameters. Arguments method - the name of the calling method. controller - resolving module, often a controller. action - resolving function in controller. schema_ref - reference inside json schema, used for request params validation (optional). Examples rpc ( &quot;hello&quot; , HelloController , :hello ) rpc ( &quot;pet_create&quot; , PetController , :create , &quot;#/components/schemas/NewPet&quot; )","ref":"PhxJsonRpc.Router.html#rpc/4","title":"PhxJsonRpc.Router.rpc/4","type":"macro"},{"doc":"Context that provides access to the stored route list, jsonrpc version and schema.","ref":"PhxJsonRpc.Router.Context.html","title":"PhxJsonRpc.Router.Context","type":"behaviour"},{"doc":"Builds new context. Examples iex&gt; PhxJsonRpc.Router.Context . build ( Context , %{ &quot;is_rpc&quot; =&gt; true } ) % PhxJsonRpc.Router.Context { instance : Context , meta_data : %{ &quot;is_rpc&quot; =&gt; true } }","ref":"PhxJsonRpc.Router.Context.html#build/2","title":"PhxJsonRpc.Router.Context.build/2","type":"function"},{"doc":"Returns the pre-resolved json-schema.","ref":"PhxJsonRpc.Router.Context.html#c:get_json_schema/0","title":"PhxJsonRpc.Router.Context.get_json_schema/0","type":"callback"},{"doc":"Returns maximum size of the batch.","ref":"PhxJsonRpc.Router.Context.html#c:get_max_batch_size/0","title":"PhxJsonRpc.Router.Context.get_max_batch_size/0","type":"callback"},{"doc":"Returns the middleware group.","ref":"PhxJsonRpc.Router.Context.html#c:get_middleware/0","title":"PhxJsonRpc.Router.Context.get_middleware/0","type":"callback"},{"doc":"Returns the otp application name.","ref":"PhxJsonRpc.Router.Context.html#c:get_otp_app/0","title":"PhxJsonRpc.Router.Context.get_otp_app/0","type":"callback"},{"doc":"Returns the pre-defined list of routes.","ref":"PhxJsonRpc.Router.Context.html#c:get_routes/0","title":"PhxJsonRpc.Router.Context.get_routes/0","type":"callback"},{"doc":"Returns the json rpc version number.","ref":"PhxJsonRpc.Router.Context.html#c:get_version/0","title":"PhxJsonRpc.Router.Context.get_version/0","type":"callback"},{"doc":"Type represents the list of user-defined middleware.","ref":"PhxJsonRpc.Router.Context.html#t:middleware_list/0","title":"PhxJsonRpc.Router.Context.middleware_list/0","type":"type"},{"doc":"Type represents the list of available routes.","ref":"PhxJsonRpc.Router.Context.html#t:route_list/0","title":"PhxJsonRpc.Router.Context.route_list/0","type":"type"},{"doc":"Type represents structure for the rpc context. :instance is typically the self-link :meta_data, if present, is a map, containing user-defined params","ref":"PhxJsonRpc.Router.Context.html#t:t/0","title":"PhxJsonRpc.Router.Context.t/0","type":"type"},{"doc":"Behaviour for the rpc requests dispatcher.","ref":"PhxJsonRpc.Router.Dispatcher.html","title":"PhxJsonRpc.Router.Dispatcher","type":"behaviour"},{"doc":"Dispatches the given rpc request, using module and action definitions in metadata. If no metadata specified, falls to method not found response.","ref":"PhxJsonRpc.Router.Dispatcher.html#c:dispatch/2","title":"PhxJsonRpc.Router.Dispatcher.dispatch/2","type":"callback"},{"doc":"Middleware interface for the group of routes. Request must have :valid =&gt; true for passing through the next middleware. Example defmodule AuthMiddleware do use PhxJsonRpc.Router.Middleware @impl true def handle ( request , context ) do if context . meta_data . is_authenticated request else request |&gt; Map . put ( :valid? , false ) |&gt; Map . put ( :error , % AuthError { } ) end end end defmodule AuthError do use PhxJsonRpc.Error , message : &quot;Unauthenticated&quot; , code : - 32_000 end","ref":"PhxJsonRpc.Router.Middleware.html","title":"PhxJsonRpc.Router.Middleware","type":"behaviour"},{"doc":"Handles request before it will be dispatched to the controller.","ref":"PhxJsonRpc.Router.Middleware.html#c:handle/2","title":"PhxJsonRpc.Router.Middleware.handle/2","type":"callback"},{"doc":"Parse behaviour for the rpc requests.","ref":"PhxJsonRpc.Router.Parser.html","title":"PhxJsonRpc.Router.Parser","type":"behaviour"},{"doc":"Parses request, checking it's version, method and parameters. If parse fails, returns request with %PhxJsonRpc.Error.ParseError{} struct and set valid? parameter to false.","ref":"PhxJsonRpc.Router.Parser.html#c:parse/2","title":"PhxJsonRpc.Router.Parser.parse/2","type":"callback"},{"doc":"Behaviour for handling requests via rpc.","ref":"PhxJsonRpc.Router.Pipe.html","title":"PhxJsonRpc.Router.Pipe","type":"behaviour"},{"doc":"Handles rpc requests via the given context(router). Processes each request by the following pipeline: - parse - validate - dispatch If batch size exceeded, an exception will be rendered and requests for the current batch wont be processed.","ref":"PhxJsonRpc.Router.Pipe.html#c:handle/2","title":"PhxJsonRpc.Router.Pipe.handle/2","type":"callback"},{"doc":"Module for resolving open rpc schema.","ref":"PhxJsonRpc.Router.SchemaResolver.html","title":"PhxJsonRpc.Router.SchemaResolver","type":"module"},{"doc":"Resolves json schema by path.","ref":"PhxJsonRpc.Router.SchemaResolver.html#resolve/1","title":"PhxJsonRpc.Router.SchemaResolver.resolve/1","type":"function"},{"doc":"Validation behaviour for the rpc requests.","ref":"PhxJsonRpc.Router.Validator.html","title":"PhxJsonRpc.Router.Validator","type":"behaviour"},{"doc":"Validates the given rpc request against json-schema provided. If validation fails, enriches request with error struct and set valid? parameter to false.","ref":"PhxJsonRpc.Router.Validator.html#c:validate/3","title":"PhxJsonRpc.Router.Validator.validate/3","type":"callback"},{"doc":"Helper module provides a set of render functions for the phoenix views.","ref":"PhxJsonRpcWeb.Views.Helpers.html","title":"PhxJsonRpcWeb.Views.Helpers","type":"module"},{"doc":"Renders json rpc responses. ## Examples iex&gt; PhxJsonRpcWeb.Views.Helpers . render_json ( [ ...&gt; % PhxJsonRpc.Response { version : &quot;2.0&quot; , id : &quot;ID1&quot; , data : %{ name : &quot;Ron&quot; } , valid? : true } , ...&gt; % PhxJsonRpc.Response { version : &quot;2.0&quot; , id : &quot;ID2&quot; , error : % PhxJsonRpc.Error.ServerError { ...&gt; code : - 32000 , message : &quot;Server error&quot; } , valid? : false } ] ) [ %{ &quot;id&quot; =&gt; &quot;ID1&quot; , &quot;jsonrpc&quot; =&gt; &quot;2.0&quot; , &quot;result&quot; =&gt; %{ name : &quot;Ron&quot; } } , %{ &quot;error&quot; =&gt; %{ &quot;code&quot; =&gt; - 32000 , &quot;data&quot; =&gt; nil , &quot;message&quot; =&gt; &quot;Server error&quot; } , &quot;id&quot; =&gt; &quot;ID2&quot; , &quot;jsonrpc&quot; =&gt; &quot;2.0&quot; } ] iex&gt; PhxJsonRpcWeb.Views.Helpers . render_json ( ...&gt; % PhxJsonRpc.Response { ...&gt; version : &quot;2.0&quot; , ...&gt; id : &quot;ID&quot; , ...&gt; data : %{ name : &quot;Ron&quot; } , ...&gt; valid? : true } ...&gt; ) %{ &quot;id&quot; =&gt; &quot;ID&quot; , &quot;jsonrpc&quot; =&gt; &quot;2.0&quot; , &quot;result&quot; =&gt; %{ name : &quot;Ron&quot; } }","ref":"PhxJsonRpcWeb.Views.Helpers.html#render_json/1","title":"PhxJsonRpcWeb.Views.Helpers.render_json/1","type":"function"},{"doc":"An abstract json rpc error.","ref":"PhxJsonRpc.Error.html","title":"PhxJsonRpc.Error","type":"module"},{"doc":"Internal JSON-RPC error.","ref":"PhxJsonRpc.Error.InternalError.html","title":"PhxJsonRpc.Error.InternalError","type":"exception"},{"doc":"Type that represents error struct with :code and :message required.","ref":"PhxJsonRpc.Error.InternalError.html#t:t/0","title":"PhxJsonRpc.Error.InternalError.t/0","type":"type"},{"doc":"Invalid method parameter(s).","ref":"PhxJsonRpc.Error.InvalidParams.html","title":"PhxJsonRpc.Error.InvalidParams","type":"exception"},{"doc":"Type that represents error struct with :code and :message required.","ref":"PhxJsonRpc.Error.InvalidParams.html#t:t/0","title":"PhxJsonRpc.Error.InvalidParams.t/0","type":"type"},{"doc":"The JSON sent is not a valid Request object.","ref":"PhxJsonRpc.Error.InvalidRequest.html","title":"PhxJsonRpc.Error.InvalidRequest","type":"exception"},{"doc":"Type that represents error struct with :code and :message required.","ref":"PhxJsonRpc.Error.InvalidRequest.html#t:t/0","title":"PhxJsonRpc.Error.InvalidRequest.t/0","type":"type"},{"doc":"The method does not exist / is not available.","ref":"PhxJsonRpc.Error.MethodNotFound.html","title":"PhxJsonRpc.Error.MethodNotFound","type":"exception"},{"doc":"Type that represents error struct with :code and :message required.","ref":"PhxJsonRpc.Error.MethodNotFound.html#t:t/0","title":"PhxJsonRpc.Error.MethodNotFound.t/0","type":"type"},{"doc":"An error occurred on the server while parsing the JSON text.","ref":"PhxJsonRpc.Error.ParseError.html","title":"PhxJsonRpc.Error.ParseError","type":"exception"},{"doc":"Type that represents error struct with :code and :message required.","ref":"PhxJsonRpc.Error.ParseError.html#t:t/0","title":"PhxJsonRpc.Error.ParseError.t/0","type":"type"},{"doc":"Reserved for implementation-defined server-errors.","ref":"PhxJsonRpc.Error.ServerError.html","title":"PhxJsonRpc.Error.ServerError","type":"exception"},{"doc":"Type that represents error struct with :code and :message required.","ref":"PhxJsonRpc.Error.ServerError.html#t:t/0","title":"PhxJsonRpc.Error.ServerError.t/0","type":"type"},{"doc":"Simple implementation of JSON-RPC server, written in elixir and working with phoenix . Allows you to define any number of rpc endpoints, which can be accessed via http protocol.","ref":"readme.html","title":"Overview","type":"extras"},{"doc":"The package uses router macro for matching RPC calls to your end-user service. It uses JSON SCHEMA as a specification for your services and provides parsing, validation and error handling briefly. Requests can be served in batches with asyncronous order. For usage with phoenix see this guide .","ref":"readme.html#how-it-works","title":"Overview - How it works","type":"extras"},{"doc":"The package can be installed by adding phx_json_rpc to your list of dependencies in mix.exs : def deps do [ { :phx_json_rpc , &quot;~&gt; 0.4.0&quot; } ] end This package depends on ex_json_schema for validation purposes.","ref":"readme.html#installation","title":"Overview - Installation","type":"extras"},{"doc":"The package tested with phoenix &gt;= 1.6 , but probably will work with any version started from 1.4 .","ref":"readme.html#supported-phoenix-versions","title":"Overview - Supported phoenix versions","type":"extras"},{"doc":"The docs can be found at https://hexdocs.pm/phx_json_rpc .","ref":"readme.html#documentation","title":"Overview - Documentation","type":"extras"},{"doc":"The package creation was inspired by some other repos: json-rpc-laravel open-rpc phoenix1.4-json-rpc","ref":"readme.html#links","title":"Overview - Links","type":"extras"},{"doc":"MIT. Please see the license file for more information.","ref":"readme.html#license","title":"Overview - License","type":"extras"},{"doc":"Copyright (c) Nickolai Shirokov shirokovnv@gmail.com Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions: The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software. THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"license.html","title":"License","type":"extras"},{"doc":"All notable changes to PhxJsonRpc will be documented in this file. The format is based on Keep a Changelog , and this project adheres to Semantic Versioning .","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"","ref":"changelog.html#0-4-0-2023-04-20","title":"Changelog - [0.4.0] - 2023-04-20","type":"extras"},{"doc":"Middleware interface and macro (handles requests before dispatching to the rpc controller) Changed Router.handle now accepts second optional parameter: meta_data Bump credo from 1.6.7 to 1.7.0 Bump dialyxir from 1.2.0 to 1.3.0 Bump excoveralls from 0.15.0 to 0.16.1 Bump ex_doc from 0.29.0 to 0.29.4","ref":"changelog.html#added","title":"Changelog - Added","type":"extras"},{"doc":"Changed Bump ex_json_schema from 0.9.1 to 0.9.2 Bump credo from 1.6.6 to 1.6.7 Bump ex_doc from 0.28.4 to 0.29.0 Bump excoveralls from 0.14.6 to 0.15.0","ref":"changelog.html#0-3-8-2022-11-18","title":"Changelog - [0.3.8] - 2022-11-18","type":"extras"},{"doc":"Changed Example controller moved to the test namespace Bump dialyxir from 1.1.0 to 1.2.0 Bump credo from 1.6.5 to 1.6.6","ref":"changelog.html#0-3-7-2022-08-21","title":"Changelog - [0.3.7] - 2022-08-21","type":"extras"},{"doc":"Added Dialyzer support in CI Screenshots in usage with phoenix guide Changed Documentation structure in README.md","ref":"changelog.html#0-3-6-2022-07-19","title":"Changelog - [0.3.6] - 2022-07-19","type":"extras"},{"doc":"Changed Move assets to the test directory","ref":"changelog.html#0-3-5-2022-07-18","title":"Changelog - [0.3.5] - 2022-07-18","type":"extras"},{"doc":"Added Example to howitworks section in README.md Specified phoenix version in docs Matrix tests in CI Dependabot support by @sobolevn Releases started for github repo","ref":"changelog.html#0-3-4-2022-07-18","title":"Changelog - [0.3.4] - 2022-07-18","type":"extras"},{"doc":"Changed Follow Keep a Changelog standart","ref":"changelog.html#0-3-3-2022-07-07","title":"Changelog - [0.3.3] - 2022-07-07","type":"extras"},{"doc":"Added excoveralls for test coverage Fixed Test warnings, some doc typos","ref":"changelog.html#0-3-2-2022-07-06","title":"Changelog - [0.3.2] - 2022-07-06","type":"extras"},{"doc":"Fixed Documentation typo in PhxJsonRpc.Router Bug with undefined error in PhxJsonRpc.Views.Helpers","ref":"changelog.html#0-3-1-2022-07-05","title":"Changelog - [0.3.1] - 2022-07-05","type":"extras"},{"doc":"Added OTP configuration for the PhxJsonRpc.Router","ref":"changelog.html#0-3-0-2022-07-04","title":"Changelog - [0.3.0] - 2022-07-04","type":"extras"},{"doc":"Added Request ID to error log format in PhxJsonRpc.Router.DefaultDispatcher","ref":"changelog.html#0-2-2-2022-07-03","title":"Changelog - [0.2.2] - 2022-07-03","type":"extras"},{"doc":"Updated Improved documentation guide Added howitworks section to README.md","ref":"changelog.html#0-2-1-2022-07-03","title":"Changelog - [0.2.1] - 2022-07-03","type":"extras"},{"doc":"Added Maximum batch size limit property for PhxJsonRpc.Router Fixed Typespecs in PhxJsonRpc.Router.Pipe section","ref":"changelog.html#0-2-0-2022-07-03","title":"Changelog - [0.2.0] - 2022-07-03","type":"extras"},{"doc":"Added Link to phoenix framework in README.md Fixed Unneccessary condition, when accessing metadata in PhxJsonRpc.Router.Pipe Documentation in PhxJsonRpc.Error section","ref":"changelog.html#0-1-1-2022-07-03","title":"Changelog - [0.1.1] - 2022-07-03","type":"extras"},{"doc":"Added Initial commit","ref":"changelog.html#0-1-0-2022-07-03","title":"Changelog - [0.1.0] - 2022-07-03","type":"extras"}]